Package com.sun.jna.platform.mac

## Class SystemB.VMMeter

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.VMMeter

- Enclosing interface:
    SystemB

      @FieldOrder({"v_swtch","v_trap","v_syscall","v_intr","v_soft","v_faults","v_lookups","v_hits","v_vm_faults","v_cow_faults","v_swpin","v_swpout","v_pswpin","v_pswpout","v_pageins","v_pageouts","v_pgpgin","v_pgpgout","v_intrans","v_reactivated","v_rev","v_scan","v_dfree","v_pfree","v_zfod","v_nzfod","v_page_size","v_kernel_pages","v_free_target","v_free_min","v_free_count","v_wire_count","v_active_count","v_inactive_target","v_inactive_count"})
      public static class SystemB.VMMeter
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `v_active_count` |
    `int` | `v_cow_faults` |
    `int` | `v_dfree` |
    `int` | `v_faults` |
    `int` | `v_free_count` |
    `int` | `v_free_min` |
    `int` | `v_free_target` |
    `int` | `v_hits` |
    `int` | `v_inactive_count` |
    `int` | `v_inactive_target` |
    `int` | `v_intr` |
    `int` | `v_intrans` |
    `int` | `v_kernel_pages` |
    `int` | `v_lookups` |
    `int` | `v_nzfod` |
    `int` | `v_page_size` |
    `int` | `v_pageins` |
    `int` | `v_pageouts` |
    `int` | `v_pfree` |
    `int` | `v_pgpgin` |
    `int` | `v_pgpgout` |
    `int` | `v_pswpin` |
    `int` | `v_pswpout` |
    `int` | `v_reactivated` |
    `int` | `v_rev` |
    `int` | `v_scan` |
    `int` | `v_soft` |
    `int` | `v_swpin` |
    `int` | `v_swpout` |
    `int` | `v_swtch` |
    `int` | `v_syscall` |
    `int` | `v_trap` |
    `int` | `v_vm_faults` |
    `int` | `v_wire_count` |
    `int` | `v_zfod` |

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VMMeter()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### v_swtch

          public int v_swtch

    - #### v_trap

          public int v_trap

    - #### v_syscall

          public int v_syscall

    - #### v_intr

          public int v_intr

    - #### v_soft

          public int v_soft

    - #### v_faults

          public int v_faults

    - #### v_lookups

          public int v_lookups

    - #### v_hits

          public int v_hits

    - #### v_vm_faults

          public int v_vm_faults

    - #### v_cow_faults

          public int v_cow_faults

    - #### v_swpin

          public int v_swpin

    - #### v_swpout

          public int v_swpout

    - #### v_pswpin

          public int v_pswpin

    - #### v_pswpout

          public int v_pswpout

    - #### v_pageins

          public int v_pageins

    - #### v_pageouts

          public int v_pageouts

    - #### v_pgpgin

          public int v_pgpgin

    - #### v_pgpgout

          public int v_pgpgout

    - #### v_intrans

          public int v_intrans

    - #### v_reactivated

          public int v_reactivated

    - #### v_rev

          public int v_rev

    - #### v_scan

          public int v_scan

    - #### v_dfree

          public int v_dfree

    - #### v_pfree

          public int v_pfree

    - #### v_zfod

          public int v_zfod

    - #### v_nzfod

          public int v_nzfod

    - #### v_page_size

          public int v_page_size

    - #### v_kernel_pages

          public int v_kernel_pages

    - #### v_free_target

          public int v_free_target

    - #### v_free_min

          public int v_free_min

    - #### v_free_count

          public int v_free_count

    - #### v_wire_count

          public int v_wire_count

    - #### v_active_count

          public int v_active_count

    - #### v_inactive_target

          public int v_inactive_target

    - #### v_inactive_count

          public int v_inactive_count

  - ### Constructor Detail

    - #### VMMeter

          public VMMeter()